# Uses of Enum
org.apache.commons.math3.optimization.GoalType

Packages that use GoalType
Package
Description
org.apache.commons.math3.optimization
All classes and sub-packages of this package are deprecated.
org.apache.commons.math3.optimization.direct
This package provides optimization algorithms that don't require derivatives.
org.apache.commons.math3.optimization.general
This package provides optimization algorithms that require derivatives.
org.apache.commons.math3.optimization.linear
This package provides optimization algorithms for linear constrained problems.
org.apache.commons.math3.optimization.univariate
Univariate real functions minimum finding algorithms.

## Uses of GoalType in org.apache.commons.math3.optimization

Methods in org.apache.commons.math3.optimization that return GoalType
Modifier and Type
Method
Description
`static GoalType`
GoalType.`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static GoalType[]`
GoalType.`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.optimization with parameters of type GoalType
Modifier and Type
Method
Description
`PointValuePair`
BaseMultivariateMultiStartOptimizer.`optimize(int maxEval, FUNC f, GoalType goal, double[] startPoint)`
Deprecated.
Optimize an objective function.
`PointValuePair`
BaseMultivariateOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint)`
Deprecated.
As of 3.1.
`PointValuePair`
BaseMultivariateSimpleBoundsOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint, double[] lowerBound, double[] upperBound)`
Deprecated.
Optimize an objective function.

## Uses of GoalType in org.apache.commons.math3.optimization.direct

Methods in org.apache.commons.math3.optimization.direct that return GoalType
Modifier and Type
Method
Description
`GoalType`
BaseAbstractMultivariateOptimizer.`getGoalType()`
Deprecated.
Methods in org.apache.commons.math3.optimization.direct with parameters of type GoalType
Modifier and Type
Method
Description
`PointValuePair`
BaseAbstractMultivariateOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint)`
Deprecated.
As of 3.1.
`PointValuePair`
BaseAbstractMultivariateOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, OptimizationData... optData)`
Deprecated.
Optimize an objective function.
`PointValuePair`
BaseAbstractMultivariateSimpleBoundsOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint)`
Deprecated.
Optimize an objective function.
`PointValuePair`
BaseAbstractMultivariateSimpleBoundsOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint, double[] lower, double[] upper)`
Deprecated.
Optimize an objective function.
`protected PointValuePair`
BaseAbstractMultivariateOptimizer.`optimizeInternal(int maxEval, FUNC f, GoalType goalType, double[] startPoint)`
Deprecated.
As of 3.1.
`protected PointValuePair`
BaseAbstractMultivariateOptimizer.`optimizeInternal(int maxEval, FUNC f, GoalType goalType, OptimizationData... optData)`
Deprecated.
Optimize an objective function.
`protected PointValuePair`
CMAESOptimizer.`optimizeInternal(int maxEval, MultivariateFunction f, GoalType goalType, OptimizationData... optData)`
Deprecated.
Optimize an objective function.
`protected PointValuePair`
SimplexOptimizer.`optimizeInternal(int maxEval, MultivariateFunction f, GoalType goalType, OptimizationData... optData)`
Deprecated.
Optimize an objective function.

## Uses of GoalType in org.apache.commons.math3.optimization.general

Methods in org.apache.commons.math3.optimization.general with parameters of type GoalType
Modifier and Type
Method
Description
`PointValuePair`
AbstractScalarDifferentiableOptimizer.`optimize(int maxEval, MultivariateDifferentiableFunction f, GoalType goalType, double[] startPoint)`
Deprecated.
Optimize an objective function.
`protected PointValuePair`
AbstractDifferentiableOptimizer.`optimizeInternal(int maxEval, MultivariateDifferentiableFunction f, GoalType goalType, double[] startPoint)`
Deprecated.
In 3.1.
`protected PointValuePair`
AbstractDifferentiableOptimizer.`optimizeInternal(int maxEval, MultivariateDifferentiableFunction f, GoalType goalType, OptimizationData... optData)`
Deprecated.
Optimize an objective function.
`protected PointValuePair`
AbstractScalarDifferentiableOptimizer.`optimizeInternal(int maxEval, DifferentiableMultivariateFunction f, GoalType goalType, double[] startPoint)`
Deprecated.
Optimize an objective function.

## Uses of GoalType in org.apache.commons.math3.optimization.linear

Methods in org.apache.commons.math3.optimization.linear that return GoalType
Modifier and Type
Method
Description
`protected GoalType`
AbstractLinearOptimizer.`getGoalType()`
Deprecated.
Methods in org.apache.commons.math3.optimization.linear with parameters of type GoalType
Modifier and Type
Method
Description
`PointValuePair`
AbstractLinearOptimizer.`optimize(LinearObjectiveFunction f, Collection<LinearConstraint> constraints, GoalType goalType, boolean restrictToNonNegative)`
Deprecated.
Optimizes an objective function.
`PointValuePair`
LinearOptimizer.`optimize(LinearObjectiveFunction f, Collection<LinearConstraint> constraints, GoalType goalType, boolean restrictToNonNegative)`
Deprecated.
Optimizes an objective function.

## Uses of GoalType in org.apache.commons.math3.optimization.univariate

Methods in org.apache.commons.math3.optimization.univariate that return GoalType
Modifier and Type
Method
Description
`GoalType`
BaseAbstractUnivariateOptimizer.`getGoalType()`
Deprecated.
Methods in org.apache.commons.math3.optimization.univariate with parameters of type GoalType
Modifier and Type
Method
Description
`UnivariatePointValuePair`
BaseAbstractUnivariateOptimizer.`optimize(int maxEval, UnivariateFunction f, GoalType goalType, double min, double max)`
Deprecated.
Find an optimum in the given interval.
`UnivariatePointValuePair`
BaseAbstractUnivariateOptimizer.`optimize(int maxEval, UnivariateFunction f, GoalType goalType, double min, double max, double startValue)`
Deprecated.
Find an optimum in the given interval, start at startValue.
`UnivariatePointValuePair`
BaseUnivariateOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double min, double max)`
Deprecated.
Find an optimum in the given interval.
`UnivariatePointValuePair`
BaseUnivariateOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double min, double max, double startValue)`
Deprecated.
Find an optimum in the given interval, start at startValue.
`UnivariatePointValuePair`
UnivariateMultiStartOptimizer.`optimize(int maxEval, FUNC f, GoalType goal, double min, double max)`
Deprecated.
Find an optimum in the given interval.
`UnivariatePointValuePair`
UnivariateMultiStartOptimizer.`optimize(int maxEval, FUNC f, GoalType goal, double min, double max, double startValue)`
Deprecated.
Find an optimum in the given interval, start at startValue.
`void`
BracketFinder.`search(UnivariateFunction func, GoalType goal, double xA, double xB)`
Deprecated.
Search new points that bracket a local optimum of the function.